<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="org.calyxos.backup.contacts"
    android:versionCode="30000231"
    android:versionName="11-2.3">
    <!--
    The version code is the targeted SDK_VERSION plus 6 digits for our own version code.
    The version name is the targeted Android version followed by - and our own version name.
    -->

    <uses-permission android:name="android.permission.READ_CONTACTS" />
    <uses-permission android:name="android.permission.WRITE_CONTACTS" />

    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />

    <application
        android:allowBackup="true"
        android:backupAgent="ContactsBackupAgent"
        android:forceQueryable="true"
        android:fullBackupOnly="true"
        android:label="@string/app_label"
        android:supportsRtl="true"
        android:usesCleartextTraffic="false"
        tools:ignore="AllowBackup,MissingApplicationIcon">

        <!-- We are using the receiver to not get FLAG_STOPPED with which we won't get backed up  -->
        <receiver
            android:name=".StartBroadcastReceiver"
            android:exported="false">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.intent.action.MY_PACKAGE_REPLACED" />
            </intent-filter>
        </receiver>

    </application>

</manifest>
